clear all
tic
options = optimset('LargeScale','off','Display','iter');
options = optimset(options,'GradObj','on','GradConstr','on');
%options = optimset(options,'DerivativeCheck','on');
options = optimset(options,'MaxFunEvals',1e5);
options = optimset(options,'MaxIter',1e5);
options = optimset(options,'TolFun',1e-7);
options = optimset(options,'TolCon',1e-7);
options = optimset(options,'TolX',1e-7);

symdynoptparam.optimparam.optvar = 3; 
symdynoptparam.optimparam.objtype = []; 
symdynoptparam.optimparam.ncolx = 5;
symdynoptparam.optimparam.ncolu = 2; 
symdynoptparam.optimparam.li = ones(4,1)*(1/4);
symdynoptparam.optimparam.tf = 1;
symdynoptparam.optimparam.ui = ones(1,4)*7.35; 
symdynoptparam.optimparam.par = []; 
symdynoptparam.optimparam.bdu = [6.2813 8.3894];
symdynoptparam.optimparam.bdx = [0 1;0 1];
symdynoptparam.optimparam.bdp =[];
symdynoptparam.optimparam.options = options;

symdynoptparam.multistart.it = [];
symdynoptparam.multistart.bdp = [];

%*************************************************************************%
%input equations
%*************************************************************************%
symdynoptparam.eq.shortcuts = [
                         %subst for   =   subst what
                          
                            ];
                        
symdynoptparam.eq.process = [
                                {'-4000*exp(-u)*(x(1)^2)'}
                                {'4000*exp(-u)*(x(1)^2)-620000*exp(-2*u)*x(2)'}
                             ];
symdynoptparam.eq.x0 = [
                            {'1'}
                            {'0'}
                         ];
symdynoptparam.eq.objfun = [
                                {'-x(2)'}
                             ];

symdynoptparam.eq.confun.ceq.t0 = [
                                        ];
symdynoptparam.eq.confun.c.t0 = [
                                        ];
symdynoptparam.eq.confun.ceq.t0tf = [
                                        ];
symdynoptparam.eq.confun.c.t0tf = [
                                        ];
symdynoptparam.eq.confun.ceq.tf = [
                                        ];
symdynoptparam.eq.confun.c.tf = [
                                        ];

symdynoptparam.M = [];

%*************************************************************************%
[symdynoptparam, symdynoptout] = symdynopt(symdynoptparam)
%*************************************************************************%
toc