clear all
options = optimset('GradObj','on','GradConstr','on');
options = optimset(options,'LargeScale','off','Display','iter');
options = optimset(options,'MaxFunEvals',1e5);
options = optimset(options,'MaxIter',1e5);
options = optimset(options,'TolFun',1e-7);
options = optimset(options,'TolCon',1e-7);
options = optimset(options,'TolX',1e-7);
symdynoptparam.optimparam.options = options;
symdynoptparam.optimparam.optvar = 3;
symdynoptparam.optimparam.objtype = [];
symdynoptparam.optimparam.ncolx = 3;
symdynoptparam.optimparam.ncolu = 2;
symdynoptparam.optimparam.li = [0.02 0.02 0.02 0.02 0.02 0.02 0.02 0.02 0.02 0.02]';
symdynoptparam.optimparam.tf = 0.2;
symdynoptparam.optimparam.ui = [10 10 10 10 10 10 10 10 10 10; 3 3 3 3 3 3 3 3 3 3; 2 2 2 2 2 2 2 2 2 2; 10 10 10 10 10 10 10 10 10 10];
symdynoptparam.optimparam.par = [];
symdynoptparam.optimparam.bdx = [];
symdynoptparam.optimparam.bdu = [0 20;0 6;0 4;0 20];
symdynoptparam.optimparam.bdp = [];
symdynoptparam.multistart.it = [];
symdynoptparam.multistart.bdp = [];
symdynoptparam.M = [];
symdynoptparam.eq.x0 = [
                           {'1.88300000000000000000e-001'}
                           {'2.50699999999999980000e-001'}
                           {'4.66999999999999980000e-002'}
                           {'8.98999999999999940000e-002'}
                           {'1.80400000000000000000e-001'}
                           {'1.39400000000000000000e-001'}
                           {'1.04600000000000000000e-001'}
                           {'00000000000000000000'}
                           ];
symdynoptparam.eq.objfun = [{'-x(8)'}];
symdynoptparam.eq.shortcuts = [];
symdynoptparam.eq.process = [
                           {'u(4)-(u(1)+u(2)+u(4))*x(1)-17.6*x(1)*x(2)-23.0*x(1)*x(6)*u(3)'}
                           {'u(1)-(u(1)+u(2)+u(4))*x(2)-17.6*x(1)*x(2)-146.0*x(2)*x(3)'}
                           {'u(2)-(u(1)+u(2)+u(4))*x(3)-73.0*x(2)*x(3)'}
                           {'-(u(1)+u(2)+u(4))*x(4)+35.20*x(1)*x(2)-51.30*x(4)*x(5)'}
                           {'-(u(1)+u(2)+u(4))*x(5)+219.0*x(2)*x(3)-51.30*x(4)*x(5)'}
                           {'-(u(1)+u(2)+u(4))*x(6)+102.60*x(4)*x(5)-23.0*x(1)*x(6)*u(3)'}
                           {'-(u(1)+u(2)+u(4))*x(7)+46.0*x(1)*x(6)*u(3)'}
                           {'5.80*(((u(1)+u(2)+u(4))*x(1))-u(4))-3.70*u(1)-4.10*u(2)+(u(1)+u(2)+u(4))*(23.0*x(4)+11.0*x(5)+28.0*x(6)+35.0*x(7))-5.0*u(3)^2-0.099'}
                                ];
symdynoptparam.eq.confun.ceq.t0 = [
                                ];
symdynoptparam.eq.confun.c.t0 = [
                                ];
symdynoptparam.eq.confun.ceq.t0tf = [
                                ];
symdynoptparam.eq.confun.c.t0tf = [
                                ];
symdynoptparam.eq.confun.ceq.tf = [
                                ];
symdynoptparam.eq.confun.c.tf = [
                                ];
[symdynoptparam, symdynoptout] = symdynopt(symdynoptparam);
save('new.mat','symdynoptparam','symdynoptout','-mat')
