function [cmd,x,xm,u,p,subfrom,subto] = createSymbolsBaseCmd(symdynopt_param)
cmd = 'syms t';
subfrom = '{';
subto = '{';
p='';x='';u='';xm='';
if symdynopt_param.nx > 1
        x = 'x = [';
        for i=1:1:symdynopt_param.nx
            cmd = sprintf('%s %s',cmd,sprintf('x%d',i));
            subfrom = sprintf('%s %s',subfrom,sprintf('''x%d''',i));
            subto = sprintf('%s %s',subto,sprintf('''x(%d)''',i));            
            x = sprintf('%s %s',x,sprintf('x%d',i));
        end
        x = sprintf('%s ];',x);
end
if symdynopt_param.nx == 1
        cmd = sprintf('%s %s',cmd,'x');
        x = 'x = [x];';
end

if symdynopt_param.nx > 1
        xm = 'xm = [';
        for i=1:1:symdynopt_param.nx
            cmd = sprintf('%s %s',cmd,sprintf('xm%d',i));
            subfrom = sprintf('%s %s',subfrom,sprintf('''xm%d''',i));
            subto = sprintf('%s %s',subto,sprintf('''xm(%d)''',i));            
            xm = sprintf('%s %s',xm,sprintf('xm%d',i));
        end
        xm = sprintf('%s ];',xm);
end
if symdynopt_param.nx == 1
        cmd = sprintf('%s %s',cmd,'xm');
        xm = 'xm = [xm];';
end

if symdynopt_param.nu > 1
        u = 'u = [';
        for i=1:1:symdynopt_param.nu
            cmd = sprintf('%s %s',cmd,sprintf('u%d',i));
            subfrom = sprintf('%s %s',subfrom,sprintf('''u%d''',i));
            subto = sprintf('%s %s',subto,sprintf('''u(%d)''',i));            
            u = sprintf('%s %s',u,sprintf('u%d',i));
        end
        u = sprintf('%s ];',u);
end
if symdynopt_param.nu == 1
        cmd = sprintf('%s %s',cmd,'u');
        u = 'u = [u];';
end

if symdynopt_param.np > 1
        p = 'p = [';
        for i=1:1:symdynopt_param.np
            cmd = sprintf('%s %s',cmd,sprintf('p%d',i));
            subfrom = sprintf('%s %s',subfrom,sprintf('''p%d''',i));
            subto = sprintf('%s %s',subto,sprintf('''p(%d)''',i));            
            p = sprintf('%s %s',p,sprintf('p%d',i));
        end
        p = sprintf('%s ];',p);
end
if symdynopt_param.np == 1
        cmd = sprintf('%s %s',cmd,'p');
        p = 'p = [p];';
end


scts = size(symdynopt_param.eq.shortcuts,1);
for i=1:1:scts
    cmd = sprintf('%s %s',cmd,symdynopt_param.eq.shortcuts{i,1});
end

subfrom = strcat(subfrom,'}');
subto = strcat(subto,'}');
cmd = strcat(cmd,';');